<div *ngIf="errorMessage; else noError" class="alert alert-warning">
    <strong>Warning!</strong> {{errorMessage | json}}
</div>
  
  <ng-template #noError>
    <div *ngIf="!this.svg; else elseLoading">
      <app-loading-screen></app-loading-screen>
    </div>
  </ng-template>
  
  <ng-template #elseLoading>
  
    <p>The current "As is" model</p>
  
    <div class="mx-5">
      <app-zoom-pan-container class="as--is--model" #models>
        <div [innerHTML]="svg"></div>
      </app-zoom-pan-container>
    </div>
  
    <div class="container">
      <button class="btn btn-success" id="buttonResetView" (click)="models.reset()">Reset view</button>
    </div>

    <div class="container-fluid" id="alertNoCorrectValueSelected" *ngIf="clickedConfirmIncorrectValue == true;">
      <ngb-alert width="100%" type="danger" (closed)="clickedConfirmIncorrectValue = false">
        <strong>Warning!</strong> You have typed in an incorrect value.
      </ngb-alert>
    </div>

    <!-- Change Attribute -->
    <div class="container-fluid mt-2">
        <div class="row app-container p-2">
          <div class="col-lg-12 offset-md-0">
    
            <p>Change an attribute of a node</p>
    
            <div class="table-responsive">
                <table class="table table-condensed">
    
                <tr>
                    <th width="20%">Node</th>
                    <th width="20%">Attribute</th>
                    <th width="20%">Current Value</th>
                    <th width="20%">New Value</th>
                    <th width="20%">Actions</th>
                </tr>
    
                <tbody>
                  <!--Node IDs-->
                  <td class="overflow-hidden">
                    <div ngbDropdown container="body">
                      <button class="btn btn-outline-primary btn-sm" ngbDropdownToggle>{{ this.nodeIDButtonName }}</button>
                      <div ngbDropdownMenu>
                        <button ngbDropdownItem *ngFor="let node of this.nodes" (click)="selectNodeID(node)">{{ node.ATZeichenid }}</button>
                      </div>
                    </div>
                  </td>
                  <!-- Attribute to be changed-->
                  <td class="overflow-hidden">
                    <div ngbDropdown container="body">
                      <button class="btn btn-outline-primary btn-sm" ngbDropdownToggle>{{ this.currentAttribute }}</button>
                      <div ngbDropdownMenu>
                        <button ngbDropdownItem *ngFor="let att of this.listOfAttributes" (click)="selectAttribute(att)">{{att}}</button>
                      </div>
                    </div>
                  </td>  
                  <!--Current Value (kein Drop Down)-->  
                  <td class="overflow-hidden">
                    <div>{{ this.currentAttributeValue }}</div>
                  </td>  
                  <!--New Value (manchmal Drop Down, manchmal nicht)-->
                  <td class="overflow-hidden">
                    <!--Drop Down-->
                    <div ngbDropdown container="body" *ngIf="this.dropdown">
                      <button class="btn btn-outline-primary btn-sm" ngbDropdownToggle>{{ this.currentChange }}</button>
                      <div ngbDropdownMenu>
                        <button ngbDropdownItem *ngFor="let newVal of this.changeDropDown" (click)="selectNewValue(newVal)">{{ newVal }}</button>
                      </div>
                    </div>
                    <!--Textfield-->
                    <div class="form-group" *ngIf="this.textfield">
                      <input type="text" id="value" name="value" [(ngModel)]="value" class="form-control" placeholder="Enter new value for the attribute">
                    </div>
                    <!--Boolean-->
                    <div class="btn btn-danger" [attr.id]="booleanChange" *ngIf="this.Boolean" (click)="selectNewValue(!this.currentAttributeValue);">
                      {{ !this.currentAttributeValue }}
                    </div>
                  </td>
                  <!-- Actions -> confirm selection -->
                  <td>
                    <div class="btn btn-danger" [attr.id]="attributeChange" (click)="changeConfirmed();">
                      Confirm Change
                    </div>
                  </td>  
                </tbody>
    
                </table>
            </div>
          </div>
        </div>
      </div>

      <!-- Add Node -->
      <div class="container-fluid mt-2">
        <div class="row app-container p-2">
          <div class="col-lg-12 offset-md-0">
    
            <p>Change an attribute of a node</p>
    
            <div class="table-responsive">
                <table class="table table-condensed">
    
                <tr>
                    <th width="40%">Node type</th>
                    <th width="40%">Node Name</th>
                    <th width="20%">Actions</th>
                </tr>
    
                <tbody>
                  <!--Node Types-->
                  <td class="overflow-hidden">
                    <div ngbDropdown container="body">
                      <button class="btn btn-outline-primary btn-sm" ngbDropdownToggle>{{ this.nodeIDButtonName }}</button>
                      <div ngbDropdownMenu>
                        <button ngbDropdownItem *ngFor="let node of this.nodes" (click)="selectNodeID(node)">{{ node.ATZeichenid }}</button>
                      </div>
                    </div>
                  </td>  
                  <!--Node Name-->  
                  <td class="overflow-hidden">
                    <div class="form-group" *ngIf="this.textfield">
                      <input type="text" id="value" name="value" [(ngModel)]="value" class="form-control" placeholder="Enter a name for the new node">
                    </div>
                  </td>  
                  <!-- Actions -> confirm selection -->
                  <td>
                    <div class="btn btn-danger" [attr.id]="attributeChange" (click)="changeConfirmed();">
                      Confirm Change
                    </div>
                  </td>  
                </tbody>
    
                </table>
            </div>
          </div>
        </div>
      </div>

      <!-- Delete Node -->


      <!-- Delete Relation -->
      <div class="container-fluid mt-2">
        <div class="row app-container p-2">
          <div class="col-lg-12 offset-md-0">
    
            <p>Delete a node</p>
    
            <div class="table-responsive">
                <table class="table table-condensed">
    
                <tr>
                    <th width="80%">Node</th>
                    <th width="20%">Actions</th>
                </tr>
    
                <tbody>
                  <!--Node IDs-->
                  <td class="overflow-hidden">
                    <div ngbDropdown container="body">
                      <button class="btn btn-outline-primary btn-sm" ngbDropdownToggle>{{ this.nodeIDButtonName }}</button>
                      <div ngbDropdownMenu>
                        <button ngbDropdownItem *ngFor="let node of this.nodes" (click)="selectNodeID(node)">{{ node.ATZeichenid }}</button>
                      </div>
                    </div>
                  </td>
                  <!-- Actions -> confirm selection -->
                  <td>
                    <div class="btn btn-danger" [attr.id]="deleteNode" (click)="deleteNode();">
                      Confirm Deletion
                    </div>
                  </td>  
                </tbody>
    
                </table>
            </div>
          </div>
        </div>
      </div>


      <!-- Add Relation -->

      <!-- View Adaptations -->
  
  </ng-template>
  